%define name file2divx3pass
%define version 2.1
%define distsuffix plf
%define release %mkrel 2

Summary: An easy to use frontend for mplayer
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Video
Url: http://216.127.92.65/rien/file2divx3pass/
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: mencoder
BuildArch: noarch
provides: perl(File2DiVX3Pass2::Helpers)
provides: perl(File2DiVX3Pass2::Signals)
provides: perl(File2DiVX3Pass2::Interface)

%description
file2divx3pass is a simple frontend to mencoder for converting any 
media-file to Divx, with features such as an automatic video bitrate
calculator, an automatic bits per pixel calculator, and 1-pass, 2-pass,
and 3-pass Divx encoding. It can encode any media file supported by
mencoder, such as MPEG-1, MPEG-2, ASF, WMV, and even RM (buggy) and
CUE/BIN. file2divx3pass is also equipped with batch encoding.

This package is in plf because it requires other software in plf.

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

mkdir -p %buildroot%_menudir

cat > %buildroot%_menudir/%name <<EOF
?package(%{name}):\
        command="%{_bindir}/%{name}"\
        title="File2DiVX3Pass"\
        longtitle="An easy to use mencoder frontend"\
        needs="x11"\
        section="Multimedia/Video"\
        icon="video_section.png"
EOF

( cd %buildroot%_bindir
ln -s %{name}2 %name
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README
%_bindir/%{name}*
%perl_vendorlib/*
%_menudir/%name

%changelog
* Tue Sep 27 2005 Olivier Thauvin <nanardon@zarb.org> 2.1-2plf
- rebuild

* Mon Sep 13 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.1-1plf
- 2.1
 
* Wed Mar 03 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0b8-2plf
- Fix dependancies

* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0b8-1plf
- 1.0b8

* Mon Feb 23 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0b7-1plf
- 1.0b7
- rebuild

* Sat Oct  4 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0b5-1plf
- First plf spec
